// logger.dart — Coloured terminal output

import 'dart:io';

class Logger {
  static void info(String msg)    => print(msg);
  static void dim(String msg)     => print('\x1B[2m$msg\x1B[0m');
  static void success(String msg) => print('\x1B[32m$msg\x1B[0m');
  static void warn(String msg)    => print('\x1B[33m$msg\x1B[0m');
  static void error(String msg)   => stderr.writeln('\x1B[31m$msg\x1B[0m');
}
